Merge "Remove port from NEXUS_URL for netrc"
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-node-node-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76         <hudson.model.StringParameterDefinition>
77           <name>NODE_DIR</name>
78           <description>Path to a Node project directory.</description>
79           <defaultValue/>
80         </hudson.model.StringParameterDefinition>
81         <hudson.model.StringParameterDefinition>
82           <name>NODE_VERSION</name>
83           <description>Version of NodeJS to install.</description>
84           <defaultValue>6.11.4</defaultValue>
85         </hudson.model.StringParameterDefinition>
86       </parameterDefinitions>
87     </hudson.model.ParametersDefinitionProperty>
88   </properties>
89   <scm class="hudson.plugins.git.GitSCM">
90     <configVersion>2</configVersion>
91     <userRemoteConfigs>
92       <hudson.plugins.git.UserRemoteConfig>
93         <name>origin</name>
94         <refspec>$GERRIT_REFSPEC</refspec>
95         <url>$GIT_URL/$GERRIT_PROJECT</url>
96         <credentialsId>test-credential</credentialsId>
97       </hudson.plugins.git.UserRemoteConfig>
98     </userRemoteConfigs>
99     <branches>
100       <hudson.plugins.git.BranchSpec>
101         <name>refs/heads/origin/$GERRIT_BRANCH</name>
102       </hudson.plugins.git.BranchSpec>
103     </branches>
104     <excludedUsers/>
105     <buildChooser class="com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTriggerBuildChooser"/>
106     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
107     <authorOrCommitter>false</authorOrCommitter>
108     <wipeOutWorkspace>true</wipeOutWorkspace>
109     <pruneBranches>false</pruneBranches>
110     <remotePoll>false</remotePoll>
111     <gitTool>Default</gitTool>
112     <submoduleCfg class="list"/>
113     <relativeTargetDir/>
114     <reference/>
115     <gitConfigName/>
116     <gitConfigEmail/>
117     <skipTag>true</skipTag>
118     <scmName/>
119     <useShallowClone>false</useShallowClone>
120     <ignoreNotifyCommit>false</ignoreNotifyCommit>
121     <extensions>
122       <hudson.plugins.git.extensions.impl.SubmoduleOption>
123         <disableSubmodules>false</disableSubmodules>
124         <recursiveSubmodules>true</recursiveSubmodules>
125         <trackingSubmodules>false</trackingSubmodules>
126         <reference/>
127         <timeout>10</timeout>
128       </hudson.plugins.git.extensions.impl.SubmoduleOption>
129       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
130     </extensions>
131   </scm>
132   <triggers class="vector">
133     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
134       <spec/>
135       <gerritProjects>
136         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
137           <compareType>ANT</compareType>
138           <pattern>releng/ciman</pattern>
139           <branches>
140             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
141               <compareType>ANT</compareType>
142               <pattern>**/master</pattern>
143             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
144           </branches>
145           <filePaths>
146             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
147               <compareType>ANT</compareType>
148               <pattern>{node-dir}/**</pattern>
149             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
150           </filePaths>
151           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
152         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
153       </gerritProjects>
154       <skipVote>
155         <onSuccessful>false</onSuccessful>
156         <onFailed>false</onFailed>
157         <onUnstable>false</onUnstable>
158         <onNotBuilt>false</onNotBuilt>
159       </skipVote>
160       <silentMode>false</silentMode>
161       <silentStartMode>false</silentStartMode>
162       <escapeQuotes>true</escapeQuotes>
163       <noNameAndEmailParameters>false</noNameAndEmailParameters>
164       <readableMessage>false</readableMessage>
165       <dependencyJobsNames/>
166       <notificationLevel/>
167       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
168       <triggerConfigURL/>
169       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
170       <triggerOnEvents>
171         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
172           <excludeDrafts>false</excludeDrafts>
173           <excludeTrivialRebase>false</excludeTrivialRebase>
174           <excludeNoCodeChange>false</excludeNoCodeChange>
175         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
176         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
177         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
178           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
179         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
180       </triggerOnEvents>
181       <buildStartMessage/>
182       <buildFailureMessage/>
183       <buildSuccessfulMessage/>
184       <buildUnstableMessage/>
185       <buildNotBuiltMessage/>
186       <buildUnsuccessfulFilepath/>
187       <customUrl/>
188       <serverName>test-server</serverName>
189     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
190   </triggers>
191   <builders>
192     <hudson.tasks.Shell>
193       <command>#!/bin/bash
194 # SPDX-License-Identifier: EPL-1.0
195 ##############################################################################
196 # Copyright (c) 2017 The Linux Foundation and others.
197 #
198 # All rights reserved. This program and the accompanying materials
199 # are made available under the terms of the Eclipse Public License v1.0
200 # which accompanies this distribution, and is available at
201 # http://www.eclipse.org/legal/epl-v10.html
202 ##############################################################################
203 echo &quot;---&gt; node-install.sh&quot;
204
205 # Ensure we fail the job if any steps fail.
206 # DO NOT set -u as virtualenv's activate script has unbound variables
207 set -e -o pipefail
208
209 virtualenv --quiet &quot;/tmp/v/python&quot;
210 # shellcheck source=/tmp/v/node/bin/activate disable=SC1091
211 source &quot;/tmp/v/python/bin/activate&quot;
212 pip install --quiet --upgrade pip
213 pip install --quiet --upgrade pipdeptree
214 pip install --quiet --upgrade nodeenv
215
216 echo &quot;----&gt; Pip Dependency Tree&quot;
217 pipdeptree
218
219 #!/bin/bash
220 # SPDX-License-Identifier: EPL-1.0
221 ##############################################################################
222 # Copyright (c) 2017 The Linux Foundation and others.
223 #
224 # All rights reserved. This program and the accompanying materials
225 # are made available under the terms of the Eclipse Public License v1.0
226 # which accompanies this distribution, and is available at
227 # http://www.eclipse.org/legal/epl-v10.html
228 ##############################################################################
229 echo &quot;---&gt; node-run.sh&quot;
230
231 # Ensure we fail the job if any steps fail.
232 # DO NOT set -u as virtualenv's activate script has unbound variables
233 set -e -o pipefail
234
235 # Prepare node
236 nodeenv --node=&quot;$NODE_VERSION&quot; --prebuilt &quot;/tmp/v/node&quot;
237 source /tmp/v/node/bin/activate
238 cd &quot;$WORKSPACE/$NODE_DIR&quot;
239 npm install
240 npm test
241 </command>
242     </hudson.tasks.Shell>
243   </builders>
244   <publishers>
245     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
246       <buildSteps>
247         <hudson.tasks.Shell>
248           <command>#!/bin/bash
249 # SPDX-License-Identifier: EPL-1.0
250 ##############################################################################
251 # Copyright (c) 2017 The Linux Foundation and others.
252 #
253 # All rights reserved. This program and the accompanying materials
254 # are made available under the terms of the Eclipse Public License v1.0
255 # which accompanies this distribution, and is available at
256 # http://www.eclipse.org/legal/epl-v10.html
257 ##############################################################################
258 echo &quot;---&gt; sysstat.sh&quot;
259 set +e  # DON'T fail build if script fails.
260
261 OS=$(facter operatingsystem)
262 case &quot;$OS&quot; in
263     Ubuntu)
264         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
265
266         # Dont run the script when systat is not enabled by default
267         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
268             exit 0
269         fi
270     ;;
271     CentOS|RedHat)
272         SYSSTAT_PATH=&quot;/var/log/sa&quot;
273     ;;
274     *)
275         # nothing to do
276         exit 0
277     ;;
278 esac
279
280 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
281 mkdir -p &quot;$SAR_DIR&quot;
282 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
283 # convert sar data to ascii format
284 while IFS=&quot;&quot; read -r s
285 do
286     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
287 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
288
289 # DON'T fail build if script fails.
290 exit 0
291 </command>
292         </hudson.tasks.Shell>
293         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
294           <managedFiles>
295             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
296               <fileId>jenkins-log-archives-settings</fileId>
297               <targetLocation/>
298               <variable>SETTINGS_FILE</variable>
299             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
300           </managedFiles>
301         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
302         <EnvInjectBuilder>
303           <info>
304             <propertiesContent>SERVER_ID=logs</propertiesContent>
305           </info>
306         </EnvInjectBuilder>
307         <hudson.tasks.Shell>
308           <command>#!/bin/bash
309 # SPDX-License-Identifier: EPL-1.0
310 ##############################################################################
311 # Copyright (c) 2017 The Linux Foundation and others.
312 #
313 # All rights reserved. This program and the accompanying materials
314 # are made available under the terms of the Eclipse Public License v1.0
315 # which accompanies this distribution, and is available at
316 # http://www.eclipse.org/legal/epl-v10.html
317 ##############################################################################
318 echo &quot;---&gt; create-netrc.sh&quot;
319
320 # Ensure we fail the job if any steps fail.
321 set -eu -o pipefail
322
323 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
324 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
325     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
326     -v x:username -o &quot;:&quot; -v x:password \
327     &quot;$SETTINGS_FILE&quot;)
328
329 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
330 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
331 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
332
333 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
334 </command>
335         </hudson.tasks.Shell>
336         <hudson.tasks.Shell>
337           <command>#!/bin/bash
338 # SPDX-License-Identifier: EPL-1.0
339 ##############################################################################
340 # Copyright (c) 2017 The Linux Foundation and others.
341 #
342 # All rights reserved. This program and the accompanying materials
343 # are made available under the terms of the Eclipse Public License v1.0
344 # which accompanies this distribution, and is available at
345 # http://www.eclipse.org/legal/epl-v10.html
346 ##############################################################################
347 echo &quot;---&gt; lftools-install.sh&quot;
348
349 # Script to install lftools via a version passed in via lf-infra-parameters
350 #
351 # Required parameters:
352 #
353 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
354 #                      set to a strict version number like '1.2.3' or using
355 #                      PEP-440 definitions.
356 #
357 #                      Examples:
358 #                          &lt;1.0.0
359 #                          &gt;=1.0.0,&lt;2.0.0
360 #
361 # By default a released version of lftools should always be used.
362 # The purpose of the 2 variables below is so that lftools devs can test
363 # unreleased versions of lftools. There are 2 methods to install a dev version
364 # of lftools:
365 #
366 #     1) gerrit patch: Used to test a patch that has not yet been merged.
367 #                      To do this set something like this:
368 #                          LFTOOLS_MODE=gerrit
369 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
370 #
371 #     2) git branch: Used to install an lftools version from a specific branch.
372 #                    To use this set the variables as follows:
373 #                          LFTOOLS_MODE=git
374 #                          LFTOOLS_REFSPEC=master
375 #
376 #     3) release : The intended use case and default setting.
377 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
378
379 LFTOOLS_MODE=release  # release | git | gerrit
380 LFTOOLS_REFSPEC=master
381
382 # Ensure we fail the job if any steps fail.
383 # DO NOT set -u as virtualenv's activate script has unbound variables
384 set -e -o pipefail
385
386 virtualenv --quiet &quot;/tmp/v/lftools&quot;
387 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
388 source &quot;/tmp/v/lftools/bin/activate&quot;
389 pip install --quiet --upgrade pip
390
391 case $LFTOOLS_MODE in
392     gerrit)
393         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
394         pushd /tmp/lftools
395         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
396         git checkout FETCH_HEAD
397         pip install --quiet --upgrade -r requirements.txt
398         pip install --quiet --upgrade -e .
399         popd
400         ;;
401
402     git)
403         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
404         ;;
405
406     release)
407         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
408             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
409         fi
410
411         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
412         ;;
413 esac
414
415 lftools --version
416
417 # pipdeptree prints out a lot of information because lftools pulls in many
418 # dependencies. Let's only print it if we want to debug.
419 # echo &quot;----&gt; Pip Dependency Tree&quot;
420 # pip install --quiet --upgrade pipdeptree
421 # pipdeptree
422
423 #!/bin/bash
424 # SPDX-License-Identifier: EPL-1.0
425 ##############################################################################
426 # Copyright (c) 2017 The Linux Foundation and others.
427 #
428 # All rights reserved. This program and the accompanying materials
429 # are made available under the terms of the Eclipse Public License v1.0
430 # which accompanies this distribution, and is available at
431 # http://www.eclipse.org/legal/epl-v10.html
432 ##############################################################################
433 echo &quot;---&gt; logs-deploy.sh&quot;
434
435 # Ensure we fail the job if any steps fail.
436 set -eu -o pipefail
437
438 set -x  # Trace commands for this script to make debugging easier.
439
440 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
441 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
442
443 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
444 then
445     set +x # Disable trace since we no longer need it
446
447     echo &quot;WARNING: Logging server not set&quot;
448 else
449     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
450     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
451     BUILD_URL=&quot;${BUILD_URL}&quot;
452
453     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
454     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
455
456     set +x  # Disable trace since we no longer need it.
457
458     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
459 fi
460 </command>
461         </hudson.tasks.Shell>
462         <hudson.tasks.Shell>
463           <command>#!/bin/bash
464 # SPDX-License-Identifier: EPL-1.0
465 ##############################################################################
466 # Copyright (c) 2017 The Linux Foundation and others.
467 #
468 # All rights reserved. This program and the accompanying materials
469 # are made available under the terms of the Eclipse Public License v1.0
470 # which accompanies this distribution, and is available at
471 # http://www.eclipse.org/legal/epl-v10.html
472 ##############################################################################
473
474 # Clear log credential files
475 rm &quot;$SETTINGS_FILE&quot;
476 rm ~/.netrc
477 </command>
478         </hudson.tasks.Shell>
479         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
480           <regexp>^Build logs: .*</regexp>
481         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
482       </buildSteps>
483       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
484       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
485       <markBuildUnstable>false</markBuildUnstable>
486     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
487     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
488       <patterns>
489         <hudson.plugins.ws__cleanup.Pattern>
490           <pattern>**/*.jenkins-trigger</pattern>
491           <type>EXCLUDE</type>
492         </hudson.plugins.ws__cleanup.Pattern>
493       </patterns>
494       <deleteDirs>false</deleteDirs>
495       <cleanupMatrixParent>false</cleanupMatrixParent>
496       <externalDelete/>
497       <cleanWhenSuccess>true</cleanWhenSuccess>
498       <cleanWhenUnstable>true</cleanWhenUnstable>
499       <cleanWhenFailure>true</cleanWhenFailure>
500       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
501       <cleanWhenAborted>true</cleanWhenAborted>
502       <notFailBuild>true</notFailBuild>
503     </hudson.plugins.ws__cleanup.WsCleanup>
504   </publishers>
505   <buildWrappers>
506     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
507     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
508       <timeoutMinutes>10</timeoutMinutes>
509       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
510       <failBuild>true</failBuild>
511       <writingDescription>false</writingDescription>
512       <timeoutPercentage>0</timeoutPercentage>
513       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
514       <timeoutType>absolute</timeoutType>
515     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
516     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
517     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
518       <user>test-credential</user>
519     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
520     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
521   </buildWrappers>
522 </project>